Name:           iapetal
Version:        1.2
Release:        2%{?dist}
Summary:        A 2D space rescue game

Group:          Amusements/Games
License:        GPLv3+
URL:            http://iapetal.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        iapetal.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       pygame pygtk2 hicolor-icon-theme

%description
Fly your lander carefully to rescue the scientists in the habitat module
from the falling asteroids.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/iapetal
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata

install -m 755 iapetal.py $RPM_BUILD_ROOT%{_bindir}/iapetal
install -m 755 iapetal-launcher.py $RPM_BUILD_ROOT%{_bindir}/iapetal-launcher
install -m 644 *.ogg $RPM_BUILD_ROOT%{_datadir}/iapetal/
install -m 644 *.png $RPM_BUILD_ROOT%{_datadir}/iapetal/
install -m 644 iapetal.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 habitat.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING TODO
%{_bindir}/*
%{_datadir}/iapetal
%{_datadir}/applications/iapetal.desktop
%{_datadir}/icons/hicolor/32x32/apps/habitat.png
%{_datadir}/appdata/iapetal.appdata.xml

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 25 2014 Jon Ciesla <limb@jcomserv.net> - 1.2-1
- Added AppData.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 04 2011 Jon Ciesla <limb@jcomserv.net> - 1.1-3
- Upstream relocated.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Jon Ciesla <limb@jcomserv.net> - 1.1-1
- New upstream, fixed rescue collision bugs.

* Wed Jun 09 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-3
- More desktop file corrections.

* Tue May 18 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-2
- Corrected desktop file.

* Thu May 06 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-1
- First build.
